﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
    <Schema Namespace="RegistrationModel.Store" Provider="System.Data.SqlClient" ProviderManifestToken="2012" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="tblRegistration">
          <Key>
            <PropertyRef Name="id" />
          </Key>
          <Property Name="id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="mobileNumber" Type="varchar" MaxLength="150" />
          <Property Name="firstName" Type="varchar" MaxLength="100" />
          <Property Name="lastName" Type="varchar" MaxLength="100" />
          <Property Name="dateOfBirth" Type="datetime" Nullable="false" />
          <Property Name="gender" Type="bit" Nullable="false" />
          <Property Name="email" Type="varchar" MaxLength="100" />
        </EntityType>
        <EntityContainer Name="RegistrationModelStoreContainer">
          <EntitySet Name="tblRegistration" EntityType="Self.tblRegistration" Schema="dbo" store:Type="Tables" />
        </EntityContainer>
      </Schema></edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="RegistrationModel" Alias="Self" annotation:UseStrongSpatialTypes="false" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm">
        <EntityType Name="tblRegistration">
          <Key>
            <PropertyRef Name="id" />
          </Key>
          <Property Name="id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="mobileNumber" Type="String" />
          <Property Name="firstName" Type="String" MaxLength="100" FixedLength="false" Unicode="false" />
          <Property Name="lastName" Type="String" MaxLength="100" FixedLength="false" Unicode="false" />
          <Property Name="dateOfBirth" Type="DateTime" Nullable="false" Precision="3" />
          <Property Name="gender" Type="Boolean" Nullable="false" />
          <Property Name="email" Type="String" MaxLength="100" FixedLength="false" Unicode="false" />
        </EntityType>
        <EntityContainer Name="RegistrationEntities" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="tblRegistrations" EntityType="Self.tblRegistration" />
        </EntityContainer>
      </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="RegistrationModelStoreContainer" CdmEntityContainer="RegistrationEntities">
          <EntitySetMapping Name="tblRegistrations">
            <EntityTypeMapping TypeName="RegistrationModel.tblRegistration">
              <MappingFragment StoreEntitySet="tblRegistration">
                <ScalarProperty Name="id" ColumnName="id" />
                <ScalarProperty Name="mobileNumber" ColumnName="mobileNumber" />
                <ScalarProperty Name="firstName" ColumnName="firstName" />
                <ScalarProperty Name="lastName" ColumnName="lastName" />
                <ScalarProperty Name="dateOfBirth" ColumnName="dateOfBirth" />
                <ScalarProperty Name="gender" ColumnName="gender" />
                <ScalarProperty Name="email" ColumnName="email" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
        </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="true" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="true" />
        <DesignerProperty Name="UseLegacyProvider" Value="false" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="None" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams></Diagrams>
  </Designer>
</edmx:Edmx>